package com.gogame.minesweeper.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "n692ffb09edbb6"
        const val TOP_ON_AD_TOW = "n692ffb09bc89d"
        const val TOP_ON_AD_THREE = "n692ffb098d0d5"

        val adPlaceAllList = listOf(
            TOP_ON_AD_ONE,
            TOP_ON_AD_TOW,
            TOP_ON_AD_THREE
        )
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}